---
lang: en
title: 'API docs: openapi-v3.del'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.del.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [del](./openapi-v3.del.md)

## del() function

Expose a Controller method as a REST API operation mapped to `DELETE` request method.

**Signature:**

```typescript
export declare function del(path: string, spec?: OperationObject): MethodDecorator;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

path


</td><td>

string


</td><td>

The URL path of this operation, e.g. `/product/{id}`


</td></tr>
<tr><td>

spec


</td><td>

OperationObject


</td><td>

_(Optional)_ The OpenAPI specification describing parameters and responses of this operation.


</td></tr>
</tbody></table>
**Returns:**

MethodDecorator


